Synq Docs
Management APIAPI keys

Revoke an API key

At once: it gets 401 `api_key_revoked` from then on. Needs `org.apiKeys.edit`. Recorded as `api_key.revoked`.

DELETE/v1/orgs/{org}/api-keys/{key}

At once: it gets 401 api_key_revoked from then on. Needs org.apiKeys.edit. Recorded as api_key.revoked.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
key*string

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/v1/orgs/string/api-keys/string"
Empty